<template>
  <div class="login-page">
    <div class="row">
      <div class="col-xs-12">
        <p class="game-title">{{ gameTitle }}</p>
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12 mb-2">
        <img src="../assets/img/bee.png"/>
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12 mb-2">
        <label class="pr-2" for="username">Username:</label>
        <input :class="{'has-error' : hasError}" v-model="username" type="text" id="username" name="username" placeholder="Username">
        <br/>
        <small v-if="hasError" class="error-msg">{{ errorMsg }}</small>
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <button id="play-game" type="button" class="btn play-game--btn" @click="playGame"> Play Game</button>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    name: 'Login',
    props: {
      gameTitle: String
    },
    data: () => ({
      username: '',
      hasError: false,
      errorMsg: 'Please fill the input with your username'
    }),
    methods: {
      addUsernameToSessionStorage() {
        sessionStorage.setItem('username', this.username);
      },

      playGame() {
        this.hasError = false;
        this.addUsernameToSessionStorage();
        if (this.username !== '') {
          this.$router.push({name: 'BeeGame'})
        } else {
          this.hasError = true;
        }
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
  label,
  .game-title {
    font-weight: 600;
  }
  .game-title {
    font-size: 24px;
  }

  input {
    padding: 8px;
  }
</style>
